Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.index
Class BuildResultsSummaryDocument

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.resultsummary.AbstractBuildResultsSummary
                  com.atlassian.bamboo.index.BuildResultsSummaryDocument

All Implemented Interfaces:
  BambooObject, BuildResultsSummary, ResultStatisticsProvider, Comparable

    public class BuildResultsSummaryDocument

extends AbstractBuildResultsSummary

A lucene implementation of an `AbstractBuildResultsSummary` which mirrors the `BuildResultsSummary` object closely.

Field Summary
`static String` | `DOCTYPE_BUILD_RESULT`
`static String` | `FIELD_AUTHORS`
`static String` | `FIELD_BUILD_ID`
`static String` | `FIELD_BUILD_KEY`
`static String` | `FIELD_BUILD_NUMBER`
`static String` | `FIELD_COMPLETED_TIMESTAMP`
`static String` | `FIELD_DELTA_STATE`
`static String` | `FIELD_DOC_TYPE`
`static String` | `FIELD_DURATION`
`static String` | `FIELD_FAILED_TEST_COUNT`
`static String` | `FIELD_ID`
`static String` | `FIELD_JIRA_ISSUE_KEY`
`static String` | `FIELD_JIRA_PROJECT_KEY`
`static String` | `FIELD_LABELS`
`static String` | `FIELD_REASON_FOR_BUILD`
`static String` | `FIELD_STATE`
`static String` | `FIELD_SUCCESSFUL_TEST_COUNT`
`static String` | `FIELD_TIME_TO_FIX`
`static String` | `FIELD_TIMESTAMP`
`static String` | `FIELD_TIMESTAMP_DAY`
`static String` | `FIELD_TOTAL_TEST_COUNT`

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`BuildResultsSummaryDocument(Document doc)`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object object)`
`Collection` | `getAuthorNames()`
`Date` | `getBuildCompletedDate()`
`Date` | `getBuildDate()`
`String` | `getBuildKey()`
`int` | `getBuildNumber()`
`BuildState` | `getBuildState()`
`String` | `getChangedByAuthors()`
`List` | `getComments()`
`Map` | `getCustomBuildData()`
`DeltaState` | `getDeltaState()`
`long` | `getDuration()`
`double` | `getDurationInSeconds()`
`long` | `getFailedBuildCount()`
`Set` | `getJiraIssueKeys()`
`List` | `getLabellings()`
`List` | `getLabelNames()`
`ReasonForBuild` | `getReasonForBuild()`
`long` | `getSuccessfulBuildCount()`
`Long` | `getTimeToFix()`
`int` | `hashCode()`

Methods inherited from class com.atlassian.bamboo.resultsummary.AbstractBuildResultsSummary
`createChangedByAuthors, getBuildResultKey, getBuildTime, getDurationDescription, getReasonSummary, getRelativeBuildDate, getRelativeBuildDate, getTestSummary, isFailed, isSuccessful`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.resultsummary.BuildResultsSummary
`getId`

Field Detail

### FIELD_ID

    public static final String FIELD_ID

See Also:
  Constant Field Values

### FIELD_BUILD_NUMBER

    public static final String FIELD_BUILD_NUMBER

See Also:
  Constant Field Values

### FIELD_BUILD_KEY

    public static final String FIELD_BUILD_KEY

See Also:
  Constant Field Values

### FIELD_BUILD_ID

    public static final String FIELD_BUILD_ID

See Also:
  Constant Field Values

### FIELD_STATE

    public static final String FIELD_STATE

See Also:
  Constant Field Values

### FIELD_TIMESTAMP

    public static final String FIELD_TIMESTAMP

See Also:
  Constant Field Values

### FIELD_COMPLETED_TIMESTAMP

    public static final String FIELD_COMPLETED_TIMESTAMP

See Also:
  Constant Field Values

### FIELD_TIMESTAMP_DAY

    public static final String FIELD_TIMESTAMP_DAY

See Also:
  Constant Field Values

### FIELD_DOC_TYPE

    public static final String FIELD_DOC_TYPE

See Also:
  Constant Field Values

### DOCTYPE_BUILD_RESULT

    public static final String DOCTYPE_BUILD_RESULT

See Also:
  Constant Field Values

### FIELD_DURATION

    public static final String FIELD_DURATION

See Also:
  Constant Field Values

### FIELD_JIRA_ISSUE_KEY

    public static final String FIELD_JIRA_ISSUE_KEY

See Also:
  Constant Field Values

### FIELD_JIRA_PROJECT_KEY

    public static final String FIELD_JIRA_PROJECT_KEY

See Also:
  Constant Field Values

### FIELD_TOTAL_TEST_COUNT

    public static final String FIELD_TOTAL_TEST_COUNT

See Also:
  Constant Field Values

### FIELD_SUCCESSFUL_TEST_COUNT

    public static final String FIELD_SUCCESSFUL_TEST_COUNT

See Also:
  Constant Field Values

### FIELD_FAILED_TEST_COUNT

    public static final String FIELD_FAILED_TEST_COUNT

See Also:
  Constant Field Values

### FIELD_AUTHORS

    public static final String FIELD_AUTHORS

See Also:
  Constant Field Values

### FIELD_REASON_FOR_BUILD

    public static final String FIELD_REASON_FOR_BUILD

See Also:
  Constant Field Values

### FIELD_DELTA_STATE

    public static final String FIELD_DELTA_STATE

See Also:
  Constant Field Values

### FIELD_LABELS

    public static final String FIELD_LABELS

See Also:
  Constant Field Values

### FIELD_TIME_TO_FIX

    public static final String FIELD_TIME_TO_FIX

See Also:
  Constant Field Values

Constructor Detail

### BuildResultsSummaryDocument

    public BuildResultsSummaryDocument(Document doc)

Method Detail

### getBuildNumber

    public int getBuildNumber()

### getBuildKey

    public String getBuildKey()

### getBuildState

    public BuildState getBuildState()

### getBuildDate

    public Date getBuildDate()

### getBuildCompletedDate

    public Date getBuildCompletedDate()

### getDurationInSeconds

    public double getDurationInSeconds()

### getJiraIssueKeys

    public Set getJiraIssueKeys()

### getSuccessfulBuildCount

    public long getSuccessfulBuildCount()

### getFailedBuildCount

    public long getFailedBuildCount()

### getAuthorNames

    public Collection getAuthorNames()

### getReasonForBuild

    public ReasonForBuild getReasonForBuild()

### getChangedByAuthors

    public String getChangedByAuthors()

### getDeltaState

    public DeltaState getDeltaState()

### getCustomBuildData

    public Map getCustomBuildData()

### getLabellings

    public List getLabellings()

### getLabelNames

    public List getLabelNames()

### getDuration

    public long getDuration()

### getTimeToFix

    public Long getTimeToFix()

### getComments

    public List getComments()

### compareTo

    public int compareTo(Object obj)

### equals

    public boolean equals(Object object)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.